Get person events
Retrieve events for a specific person.
curl -X GET "https://api.flameup.ai/api/v1/workspaces/example_string/people/123e4567-e89b-12d3-a456-426614174000/events?limit=42" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.flameup.ai/api/v1/workspaces/example_string/people/123e4567-e89b-12d3-a456-426614174000/events?limit=42"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.flameup.ai/api/v1/workspaces/example_string/people/123e4567-e89b-12d3-a456-426614174000/events?limit=42", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.flameup.ai/api/v1/workspaces/example_string/people/123e4567-e89b-12d3-a456-426614174000/events?limit=42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.flameup.ai/api/v1/workspaces/example_string/people/123e4567-e89b-12d3-a456-426614174000/events?limit=42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"events": [
{
"id": "example_string",
"workspace_id": "example_string",
"person_id": "123e4567-e89b-12d3-a456-426614174000",
"event": "example_string",
"parameters": {},
"timestamp": "2024-12-25T10:00:00Z",
"created_at": "2024-12-25T10:00:00Z"
}
]
}
GET
/workspaces/{workspaceId}/people/{personId}/eventsGET
Bearer Token
Bearer Tokenstring
RequiredYour Flameup API key (passed as Bearer token)
Your Flameup API key (passed as Bearer token)
path
workspaceIdstring
RequiredWorkspace ID
path
personIdstring
RequiredPerson ID (UUID)
Format: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Your Flameup API key (passed as Bearer token)
Path Parameters
workspaceIdstring
RequiredWorkspace ID
personIdstring
RequiredPerson ID (UUID)
Query Parameters
Responses
eventsarray
idstring
workspace_idstring
person_idstring
eventstring
parametersobject
timestampstring
created_atstring
Was this page helpful?
Last updated Mar 1, 2026
Built with Documentation.AI